# http://fedoraproject.org/wiki/Packaging:Python#Bytecompiling_with_the_correct_python_version
%global __python %{__python3}

Name: rss2email
Version: 3.9
Release: 1%{?dist}
Summary: Deliver news from RSS feeds to your SMTP server as text or HTML mail

Group: Applications/Internet
License: GPLv2 or GPLv3
URL: https://pypi.python.org/pypi/rss2email/
Source0: https://github.com/wking/rss2email/archive/v%{version}.tar.gz

# http://anonscm.debian.org/gitweb/?p=users/emillon-guest/rss2email.git;a=blob_plain;f=debian/r2e-migrate;hb=experimental
Source1: r2e-migrate
Source2: r2e-migrate.1

BuildArch: noarch

BuildRequires: python3-devel
# ensure availability at build-time to prevent broken deps in explicit Requires
BuildRequires: python3-feedparser >= 5.0.1
BuildRequires: python3-html2text >= 3.01

Requires: python3-feedparser >= 5.0.1
Requires: python3-html2text >= 3.01

%description
rss2email lets you subscribe to a list of XML newsfeeds (RSS or Atom). It can
parse them regularly with the help of cron and send new items to you by email.

An HTML mail will be send in the default configuration to the local SMTP server.
See the manual page r2e for details on how to set up rss2email.


%prep
%setup -q

# r2e-migrate files
cp -p %{SOURCE1} %{SOURCE2} .
chmod 0644 r2e-migrate*


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root %{buildroot} --prefix=%{_prefix}

install -p -D -m 0644 r2e.1 %{buildroot}%{_mandir}/man1/r2e.1


%check
# fails
#PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} test/test.py


%files
%doc AUTHORS CHANGELOG CONTRIBUTING.md COPYING README
%doc r2e-migrate*
%{_bindir}/r2e
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info
%{_mandir}/man1/*.1*


%changelog
* Sun Jan 18 2015 Michael Schwendt <mschwendt@fedoraproject.org> - 3.9-1
- Upgrade to 3.9 - new upstream and using Python 3.
- Clean up the spec file and adhere to Fedora Python 3 packaging guidelines.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar  4 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 2.71-5
- Add a few patches from Debian package:
  0003-Setup-the-correct-version-number-in-rss2email.py.patch
  0006-Prefer-utf8-in-CHARSET_LIST.patch
  0008-Fix-encoding-of-From-and-To-headers.patch.diff
- Merge a few updates for the manual page.
- Minor spec clean-up to remove superfluous items.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 11 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 2.71-1
- Upgrade to 2.71.
- Fix bad tarball permissions.
- Increase minimum version in python-feedparser and python-html2text
  dependencies to match what upstream wants for this release.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.70-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 2.70-1
- Upgrade to 2.70.
- Update r2e wrapper script.
- Patch config.py loader (now first look in current dir like upstream,
  but if not found look for $HOME/.rss2email/config.py).
- Include config.py.example also in the documentation directory.
- Various minor spec file adjustments.

* Sun Jul 04 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.66-1
- update to 2.66, which now is shipped in a tarball 

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.65-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.65-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.65-1
- update to 2.65
- recreate rss2email-use-configpy-from-homedir.patch

* Sun Oct 26 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.64-1
- update to 2.64
- drop rss2email-warn-if-problems-with-local-mta.patch, something similar now
  upstream

* Fri Jul 04 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.63-1
- update to 2.63 (GPLv3 now)

* Sat Jan 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.62-1
- Update to 2.62

* Fri Dec 14 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.61-1
- Update to 2.61

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Mar 25 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.60-3
- Use sed instead of dos2unix
- Some small fixes from review bug #233715
- Apply one patch from Debian that should warn if there are problems with
  local delivery via sendmail

* Sat Mar 24 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.60-2
- Seperate package for html2text, as it might be useful for other stuff
  as well
- update r2e and make it possible to manage different feed files (optional,
  use r2e option "--feedext foo" to use it)
- add some common used, but-no-so-well documented configuration parameters
  to config.py template and give a hint where to find docs what they do

* Fri Mar 23 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.60-1
- Initial package
